#ifndef __AVR_PIN_HPP__
#define __AVR_PIN_HPP__

#include <iostream>
#include "./../../interfaces/pin.hpp"



struct AVR_Pin : Pin<AVR_Pin>
{
    AVR_Pin()
    {
        std::cout << "created AVR_Pin" << std::endl;
    }

    void setImp(bool logic)
    {
        std::cout << "AVR pin set to " << logic << std::endl;
    }

    void toggleImp()
    {
        std::cout << "toggled AVR pin" << std::endl;
    }

    bool getImp()
    {
        return true;
    }

    void avr_stuff()
    {
        std::cout << "AVR specific stuff" << std::endl;
    }
};

#endif // __AVR_PIN_HPP__